Saltar al contenido principal
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
functions
/
{functionType}
Recuperar funciones por tipo para una definición dada
curl --request GET \
  --url https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/functions/{functionType} \
  --header 'Authorization: Bearer <token>'
{
  "functionSource": "<string>",
  "functionType": "POST_ACTION_EXECUTION",
  "id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido
definitionId
string
requerido
functionType
enum<string>
requerido
Opciones disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS

Respuesta

successful operation

functionSource
string
requerido

El código fuente o script que define el comportamiento de la función.

functionType
enum<string>
requerido

El tipo de función, con lo siguientes valores aceptados: POST_ACTION_EXECUTION, POST_FETCH_OPTIONS, PRE_ACTION_EXECUTION, PRE_FETCH_OPTIONS.

Opciones disponibles:
POST_ACTION_EXECUTION,
POST_FETCH_OPTIONS,
PRE_ACTION_EXECUTION,
PRE_FETCH_OPTIONS
id
string

El identificador único de la función de la acción.

Last modified on April 13, 2026